./goblint --conf conf/svcomp-validate.json --witness.yaml.unassume /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/minepump_spec1_product35.cil.yml/witness.yml --witness.yaml.validate /mnt/goblint-svcomp/sv-comp/svcomp24-witnesses/results-verified/cpachecker.2023-11-29_00-03-15.files/SV-COMP24_unreach-call/minepump_spec1_product35.cil.yml/witness.yml --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/unreach-call.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c


--------------------------------------------------------------------------------


[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[0;33m[Warning] --sets is deprecated, use --set instead.[0;0;00m
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:200:3-247:3 with factor 2
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:476:3-490:3 with factor 8
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:638:3-659:3 with factor 2
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:695:3-720:3 with factor 1
[Info] unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:780:5-800:5 with factor 2
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
[Info] unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
[Info] no thread creation -> disabling thread analyses "race, deadlock, maylocks, symb_locks, thread, threadid, threadJoins, threadreturn, mhp, region"
[Info] Enabled congruence domain.
[Info] Enabled octagon domain ONLY for:
[Info] waterLevel, timeShift, i, count, tmp, key, a, count, j, k, size, i, i___0, j___0, a, top, expression, i, __cil_tmp6, retValue_acc, __cil_tmp4, __cil_tmp8, i, __cil_tmp6, retValue_acc, __cil_tmp4, __cil_tmp8, count, mode, retValue_acc, excep, next, __cil_tmp12, __cil_tmp14, env, __cil_tmp8, __cil_tmp9, __cil_tmp11, __cil_tmp13, __cil_tmp14, exception, __cil_tmp5, __cil_tmp8, __cil_tmp9, cf, __cil_tmp10, __cil_tmp12, __cil_tmp5, __cil_tmp13, mem_17, cflow_func, val, cf, __cil_tmp7, __cil_tmp9, __cil_tmp11, __cil_tmp13, mem_15, retValue_acc, tmp, i, __cil_tmp2, retValue_acc, retValue_acc, choice, tmp, retValue_acc, tmp, tmp___0, retValue_acc, retValue_acc, tmp, splverifierCounter, tmp, tmp___0, tmp___1, tmp___2, tmp, tmp___0, retValue_acc, retValue_acc, retValue_acc
[Info] Enabled widening thresholds
[Info] SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Info][Witness] cannot unassume entry of type violation_sequence
[Warning][Deadcode] Function 'printEnvironment' is uncalled: 7 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:104:1-126:1)
[Warning][Deadcode] Function 'getWaterLevel' is uncalled: 3 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:127:1-135:1)
[Warning][Deadcode] Function 'isMethaneAlarm' is uncalled: 3 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:336:1-346:1)
[Warning][Deadcode] Function 'printPump' is uncalled: 12 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:356:1-391:1)
[Warning][Deadcode] Function 'select_one' is uncalled: 4 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:431:1-440:1)
[Warning][Deadcode] Function 'cleanup' is uncalled: 9 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:466:1-495:1)
[Warning][Deadcode] Function 'Specification2' is uncalled: 16 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:496:1-519:1)
[Warning][Deadcode] Function '__utac__exception__cf_handler_set' is uncalled: 21 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:567:1-612:1)
[Warning][Deadcode] Function '__utac__exception__cf_handler_free' is uncalled: 23 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:613:1-668:1)
[Warning][Deadcode] Function '__utac__exception__cf_handler_reset' is uncalled: 24 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:669:1-728:1)
[Warning][Deadcode] Function '__utac__error_stack_mgt' is uncalled: 49 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:731:1-833:1)
[Warning][Deadcode] Function '__utac__get_this_arg' is uncalled: 17 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:834:1-879:1)
[Warning][Deadcode] Function '__utac__get_this_argtype' is uncalled: 17 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:880:1-925:1)
[Warning][Deadcode] Function 'main' does not return
[Warning][Deadcode] Function '__automaton_fail' has dead code:
  on line 156 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:156-156)
[Warning][Deadcode] Function 'isHighWaterLevel' has dead code:
  on line 408 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:408-408)
[Warning][Deadcode] Function 'isHighWaterSensorDry' has dead code:
  on line 147 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:147-147)
[Warning][Deadcode] Function 'isMethaneLevelCritical' has dead code:
  on line 101 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:101-101)
[Warning][Deadcode] Function 'isPumpRunning' has dead code:
  on line 353 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:353-353)
[Warning][Deadcode] Function 'main' has dead code:
  on lines 555..557 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:555-557)
[Warning][Deadcode] Function 'runTest' has dead code:
  on line 534 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:534-534)
[Warning][Deadcode] Function 'test' has dead code:
  on line 251 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:251-251)
  on line 253 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:253-253)
[Warning][Deadcode] Function 'valid_product' has dead code:
  on line 461 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:461-461)
[Warning][Deadcode] Logical lines of code (LLoC) summary:
  live: 105
  dead: 217 (205 in uncalled functions)
  total lines: 322
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:200:10-200:11)
[Warning][Deadcode][CWE-571] condition 'splverifierCounter < 4' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:202:9-202:31)
[Warning][Deadcode][CWE-571] condition 'tmp' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:547:7-547:10)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:200:10-200:11)
[Warning][Deadcode][CWE-571] condition 'splverifierCounter < 4' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:202:9-202:31)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:200:10-200:11)
[Warning][Deadcode][CWE-571] condition 'splverifierCounter < 4' is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/product-lines/minepump_spec1_product35.cil.c:202:9-202:31)
[Info][Witness] witness validation summary:
  confirmed: 0
  unconfirmed: 0
  refuted: 0
  error: 0
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 0
SV-COMP result: unknown
